//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.ConfIni
{
    using System;
    using System.Collections.Generic;
    
    public partial class AreaKeys
    {
        public AreaKeys()
        {
            this.UserAreas = new HashSet<UserAreas>();
            this.Pages = new HashSet<Pages>();
        }
    
        public int IdAreaKeys { get; set; }
        public string Area { get; set; }
        public string KeyNumber { get; set; }
        public string Controller { get; set; }
        public string Action { get; set; }
        public string KeyResource { get; set; }
    
        public virtual ICollection<UserAreas> UserAreas { get; set; }
        public virtual ICollection<Pages> Pages { get; set; }
    }
}
